package com.dlsm.tocc.taxigps_client.entity;

import com.ehl.core.base.FiledInfo;
import com.ehl.core.base.TableInfo;
import com.ehl.core.utils.DateUtil;
import com.ehl.coreindex.entity.indexdata.danger.IndexDangerPathGps;
import java.math.BigDecimal;
import java.text.ParseException;
import java.util.Date;

@TableInfo(
        DBName = "INDEX_DANGER_PATH_GPS",
        Name = ""
)
public class IndexDangerPathGpsExpand extends IndexDangerPathGps {
    private static final long serialVersionUID = 1L;
    @FiledInfo(
            DBName = "PLATE_COLOR",
            Name = ""
    )
    private String plate_color;
    @FiledInfo(
            DBName = "STATUS_FLAG",
            Name = ""
    )
    private String status_flag;
    @FiledInfo(
            DBName = "ALARM_FLAG",
            Name = ""
    )
    private String alarm_flag;
    @FiledInfo(
            DBName = "CREATE_TIME",
            Name = ""
    )
    private Date create_time;
    @FiledInfo(
            DBName = "EMPTY",
            Name = "大连：00：空车；01：半载；10：保留；11：满载，其他：空车:0,重车:1"
    )
    private BigDecimal empty;

    public String toString() {
        return this.getPlate_num() + "$" + this.getGps_code() + "$" + this.getData_type() + "$" + DateUtil.dateTime2Str(this.getUp_time(), (String)null) + "$" + this.getLongitude() + "$" + this.getLatitude() + "$" + this.getSpeed() + "$" + this.getVehicle_status() + "$" + this.getPosition_status() + "$" + this.getAngle() + "$" + this.getVehicle_type() + "$" + this.getSection_id() + "$" + this.getHeading() + "$" + this.getMileage() + "$" + this.getEmpty();
    }

    public IndexDangerPathGpsExpand toObject(String str) {
        if (str != null && !str.equals("")) {
            IndexDangerPathGpsExpand gpsDate = new IndexDangerPathGpsExpand();
            String[] arrGps = str.split("\\$");
            if (arrGps[0] != null && !arrGps[0].isEmpty()) {
                gpsDate.setPlate_num(arrGps[0]);
            }

            if (arrGps[1] != null && !arrGps[1].isEmpty()) {
                gpsDate.setGps_code(arrGps[1]);
            }

            if (arrGps[2] != null && !arrGps[2].isEmpty()) {
                gpsDate.setData_type(arrGps[2]);
            }

            if (arrGps[3] != null && !arrGps[3].isEmpty()) {
                try {
                    gpsDate.setUp_time(DateUtil.str2DateTime(arrGps[3], (String)null));
                } catch (ParseException var5) {
                    var5.printStackTrace();
                }
            }

            if (arrGps[4] != null && !arrGps[4].isEmpty()) {
                gpsDate.setLongitude(new BigDecimal(arrGps[4]));
            }

            if (arrGps[5] != null && !arrGps[5].isEmpty()) {
                gpsDate.setLatitude(new BigDecimal(arrGps[5]));
            }

            if (arrGps[6] != null && !arrGps[6].isEmpty()) {
                gpsDate.setSpeed(new BigDecimal(arrGps[6]));
            }

            if (arrGps[7] != null && !arrGps[7].isEmpty()) {
                gpsDate.setVehicle_status(arrGps[7]);
            }

            if (arrGps[8] != null && !arrGps[8].isEmpty()) {
                gpsDate.setPosition_status(arrGps[8]);
            }

            if (arrGps[9] != null && !arrGps[9].isEmpty()) {
                gpsDate.setAngle(new BigDecimal(arrGps[9]));
            }

            if (arrGps[10] != null && !arrGps[10].isEmpty()) {
                gpsDate.setVehicle_type(arrGps[10]);
            }

            if (arrGps[11] != null && !arrGps[11].isEmpty()) {
                gpsDate.setSection_id(new BigDecimal(arrGps[11]));
            }

            if (arrGps[12] != null && !arrGps[12].isEmpty()) {
                gpsDate.setHeading(new BigDecimal(arrGps[12]));
            }

            if (arrGps[13] != null && !arrGps[13].isEmpty()) {
                gpsDate.setMileage(new BigDecimal(arrGps[13]));
            }

            if (arrGps.length > 14 && arrGps[14] != null && !arrGps[14].isEmpty()) {
                gpsDate.setEmpty(new BigDecimal(arrGps[14]));
            }

            return gpsDate;
        } else {
            return null;
        }
    }

    public String getPlate_color() {
        return this.plate_color;
    }

    public String getStatus_flag() {
        return this.status_flag;
    }

    public String getAlarm_flag() {
        return this.alarm_flag;
    }

    public Date getCreate_time() {
        return this.create_time;
    }

    public BigDecimal getEmpty() {
        return this.empty;
    }

    public void setPlate_color(String plate_color) {
        this.plate_color = plate_color;
    }

    public void setStatus_flag(String status_flag) {
        this.status_flag = status_flag;
    }

    public void setAlarm_flag(String alarm_flag) {
        this.alarm_flag = alarm_flag;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public void setEmpty(BigDecimal empty) {
        this.empty = empty;
    }

    public IndexDangerPathGpsExpand() {
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof IndexDangerPathGpsExpand)) {
            return false;
        } else {
            IndexDangerPathGpsExpand other = (IndexDangerPathGpsExpand)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label71: {
                    Object this$plate_color = this.getPlate_color();
                    Object other$plate_color = other.getPlate_color();
                    if (this$plate_color == null) {
                        if (other$plate_color == null) {
                            break label71;
                        }
                    } else if (this$plate_color.equals(other$plate_color)) {
                        break label71;
                    }

                    return false;
                }

                Object this$status_flag = this.getStatus_flag();
                Object other$status_flag = other.getStatus_flag();
                if (this$status_flag == null) {
                    if (other$status_flag != null) {
                        return false;
                    }
                } else if (!this$status_flag.equals(other$status_flag)) {
                    return false;
                }

                label57: {
                    Object this$alarm_flag = this.getAlarm_flag();
                    Object other$alarm_flag = other.getAlarm_flag();
                    if (this$alarm_flag == null) {
                        if (other$alarm_flag == null) {
                            break label57;
                        }
                    } else if (this$alarm_flag.equals(other$alarm_flag)) {
                        break label57;
                    }

                    return false;
                }

                Object this$create_time = this.getCreate_time();
                Object other$create_time = other.getCreate_time();
                if (this$create_time == null) {
                    if (other$create_time != null) {
                        return false;
                    }
                } else if (!this$create_time.equals(other$create_time)) {
                    return false;
                }

                Object this$empty = this.getEmpty();
                Object other$empty = other.getEmpty();
                if (this$empty == null) {
                    if (other$empty == null) {
                        return true;
                    }
                } else if (this$empty.equals(other$empty)) {
                    return true;
                }

                return false;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof IndexDangerPathGpsExpand;
    }

}
